Debian Bug report logs - #635840
Missing firmware for carl9170 driver

version graph

Package: firmware-free; Maintainer for firmware-free is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Willian Gustavo Veiga <wiltave@gmail.com>

Date: Thu, 28 Jul 2011 22:51:01 UTC

Severity: important

Tags: sid, wheezy

Found in version 3

Fixed in version firmware-free/3.2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wiltave@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package linux-2.6. (Thu, 28 Jul 2011 22:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willian Gustavo Veiga <wiltave@gmail.com>:
New Bug report received and forwarded. Copy sent to wiltave@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Jul 2011 22:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Willian Gustavo Veiga <wiltave@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Thu, 28 Jul 2011 19:46:59 -0300
Package: linux-2.6
Version: 3.0.0-1
Severity: normal
Tags: sid

I cannot raise up my wireless interface using kernel 3.0:

# ifconfig wlan0 up
wla0n: ERROR while getting interface flags: No such device

With kernel 2.6.39 I'm able to run the same command and get a stable connection
(using wpa_supplicant).

I've used ar9170usb module but now it was removed and replaced by carl9170
(http://linuxwireless.org/en/users/Drivers/ar9170)

# lsusb
Bus 001 Device 003: ID 0cf3:1002 Atheros Communications, Inc. TP-Link TL-WN821N
v2 [Atheros AR9001U-(2)NG]

dmesg doesn't give any useful information about how my device was registered.

Thank you and sorry about my english.



-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor: OEM                                
product_name:         
product_version:        
chassis_vendor: OEM                                
chassis_version:         
bios_vendor: OEM
bios_version: 1.09
board_vendor: OEM                                
board_name: N/A                             
board_version: N/A             

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

** PCI devices:
00:00.0 Host bridge [0600]: Silicon Integrated Systems [SiS] 671MX [1039:0671]
	Subsystem: Elitegroup Computer Systems Device [1019:5050]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 32
	Region 0: Memory at a0000000 (32-bit, non-prefetchable) [size=256M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-sis

00:01.0 PCI bridge [0604]: Silicon Integrated Systems [SiS] SiS AGP Port (virtual PCI-to-PCI bridge) [1039:0003] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 16 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: b0000000-b00fffff
	Prefetchable memory behind bridge: c0000000-cfffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:02.0 ISA bridge [0601]: Silicon Integrated Systems [SiS] SiS968 [MuTIOL Media IO] [1039:0968] (rev 01)
	Subsystem: Elitegroup Computer Systems Device [1019:5a00]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.5 IDE interface [0101]: Silicon Integrated Systems [SiS] 5513 [IDE] [1039:5513] (rev 01) (prog-if 80 [Master])
	Subsystem: Elitegroup Computer Systems Device [1019:5a00]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 128
	Interrupt: pin ? routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1080 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_sis

00:03.0 USB Controller [0c03]: Silicon Integrated Systems [SiS] USB 1.1 Controller [1039:7001] (rev 0f) (prog-if 10 [OHCI])
	Subsystem: Elitegroup Computer Systems Device [1019:5a00]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (20000ns max)
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at b0104000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:03.1 USB Controller [0c03]: Silicon Integrated Systems [SiS] USB 1.1 Controller [1039:7001] (rev 0f) (prog-if 10 [OHCI])
	Subsystem: Elitegroup Computer Systems Device [1019:5a00]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (20000ns max)
	Interrupt: pin B routed to IRQ 21
	Region 0: Memory at b0105000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:03.3 USB Controller [0c03]: Silicon Integrated Systems [SiS] USB 2.0 Controller [1039:7002] (prog-if 20 [EHCI])
	Subsystem: Elitegroup Computer Systems Device [1019:5a00]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (20000ns max)
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at b0106000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:04.0 Ethernet controller [0200]: Silicon Integrated Systems [SiS] 191 Gigabit Ethernet Adapter [1039:0191] (rev 02)
	Subsystem: Elitegroup Computer Systems Device [1019:5a00]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at b0307000 (32-bit, non-prefetchable) [size=128]
	Region 1: I/O ports at 1000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: sis190

00:05.0 IDE interface [0101]: Silicon Integrated Systems [SiS] SATA Controller / IDE mode [1039:1183] (rev 03) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Silicon Integrated Systems [SiS] SATA Controller / IDE mode [1039:1183]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at 10c8 [size=8]
	Region 1: I/O ports at 10bc [size=4]
	Region 2: I/O ports at 10c0 [size=8]
	Region 3: I/O ports at 10b8 [size=4]
	Region 4: I/O ports at 10a0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: sata_sis

00:0f.0 Audio device [0403]: Silicon Integrated Systems [SiS] Azalia Audio Controller [1039:7502]
	Subsystem: Elitegroup Computer Systems Device [1019:5a00]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (13000ns min, 2750ns max)
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at b0100000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

01:00.0 VGA compatible controller [0300]: Silicon Integrated Systems [SiS] 771/671 PCIE VGA Display Adapter [1039:6351] (rev 10) (prog-if 00 [VGA controller])
	Subsystem: Elitegroup Computer Systems Device [1019:5050]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 16
	BIST result: 00
	Region 0: Memory at c0000000 (32-bit, prefetchable) [size=256M]
	Region 1: Memory at b0000000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 9000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 0cf3:1002 Atheros Communications, Inc. TP-Link TL-WN821N v2 [Atheros AR9001U-(2)NG]
Bus 001 Device 004: ID 0bda:0158 Realtek Semiconductor Corp. USB 2.0 multicard reader
Bus 003 Device 002: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
Bus 003 Device 003: ID 0c10:0000  


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.0.0-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.40     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.3        Linux image base package
ii  module-init-tools             3.16-1     tools for managing Linux kernel mo

Versions of packages linux-image-3.0.0-1-amd64 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver

Versions of packages linux-image-3.0.0-1-amd64 suggests:
ii  grub-pc                       1.99-9     GRand Unified Bootloader, version 
pn  linux-doc-3.0.0               <none>     (no description available)

Versions of packages linux-image-3.0.0-1-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-3.0.0-1-amd64/postinst/ignoring-ramdisk:
  linux-image-3.0.0-1-amd64/prerm/removing-running-kernel-3.0.0-1-amd64: true
  linux-image-3.0.0-1-amd64/postinst/missing-firmware-3.0.0-1-amd64:
  linux-image-3.0.0-1-amd64/postinst/depmod-error-initrd-3.0.0-1-amd64: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package linux-2.6. (Mon, 01 Aug 2011 22:21:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Aug 2011 22:21:19 GMT) Full text and rfc822 format available.

Message #10 received at 635840@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Willian Gustavo Veiga <wiltave@gmail.com>, 635840@bugs.debian.org
Subject: Re: Bug#635840: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Sun, 31 Jul 2011 19:23:16 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2011-07-28 at 19:46 -0300, Willian Gustavo Veiga wrote:
[...]
> dmesg doesn't give any useful information about how my device was registered.
[...]

You might think that, but I would like to see the log messages anwyay.

Ben.

[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 01 Aug 2011 22:21:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package linux-2.6. (Mon, 01 Aug 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willian Gustavo Veiga <wiltave@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 01 Aug 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 635840@bugs.debian.org (full text, mbox):

From: Willian Gustavo Veiga <wiltave@gmail.com>
To: 635840@bugs.debian.org
Subject: Re: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Mon, 01 Aug 2011 19:36:28 -0300
Ben, probably you're right. I've missed some information, sorry about that:

# dmesg
[  312.484057] usb 1-5: new high speed USB device number 9 using ehci_hcd
[  312.664228] usb 1-5: New USB device found, idVendor=0cf3, idProduct=1002
[  312.664233] usb 1-5: New USB device strings: Mfr=16, Product=32, SerialNumber=48
[  312.664237] usb 1-5: Product: USB2.0 WLAN
[  312.664239] usb 1-5: Manufacturer: ATHER
[  312.664241] usb 1-5: SerialNumber: 12345
[  312.780058] usb 1-5: reset high speed USB device number 9 using ehci_hcd
[  312.954434] usb 1-5: firmware not found.

# tail -f /var/log/messages
Aug  1 19:26:43 willian kernel: [  288.333154] usb 1-3: USB disconnect, device number 3
Aug  1 19:27:07 willian kernel: [  312.484057] usb 1-5: new high speed USB device number 9 using ehci_hcd
Aug  1 19:27:07 willian kernel: [  312.664228] usb 1-5: New USB device found, idVendor=0cf3, idProduct=1002
Aug  1 19:27:07 willian kernel: [  312.664233] usb 1-5: New USB device strings: Mfr=16, Product=32, SerialNumber=48
Aug  1 19:27:07 willian kernel: [  312.664237] usb 1-5: Product: USB2.0 WLAN
Aug  1 19:27:07 willian kernel: [  312.664239] usb 1-5: Manufacturer: ATHER
Aug  1 19:27:07 willian kernel: [  312.664241] usb 1-5: SerialNumber: 12345
Aug  1 19:27:07 willian kernel: [  312.780058] usb 1-5: reset high speed USB device number 9 using ehci_hcd
Aug  1 19:27:07 willian mtp-probe: checking bus 1, device 9: "/sys/devices/pci0000:00/0000:00:03.3/usb1/1-5"
Aug  1 19:27:08 willian mtp-probe: bus: 1, device: 9 was not an MTP device

Thank you very much.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package linux-2.6. (Tue, 02 Aug 2011 00:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 02 Aug 2011 00:03:07 GMT) Full text and rfc822 format available.

Message #22 received at 635840@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Willian Gustavo Veiga <wiltave@gmail.com>, 635840@bugs.debian.org
Subject: Re: Bug#635840: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Tue, 02 Aug 2011 00:58:48 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2011-08-01 at 19:36 -0300, Willian Gustavo Veiga wrote:
> Ben, probably you're right. I've missed some information, sorry about that:
> 
> # dmesg
> [  312.484057] usb 1-5: new high speed USB device number 9 using ehci_hcd
> [  312.664228] usb 1-5: New USB device found, idVendor=0cf3, idProduct=1002
> [  312.664233] usb 1-5: New USB device strings: Mfr=16, Product=32, SerialNumber=48
> [  312.664237] usb 1-5: Product: USB2.0 WLAN
> [  312.664239] usb 1-5: Manufacturer: ATHER
> [  312.664241] usb 1-5: SerialNumber: 12345
> [  312.780058] usb 1-5: reset high speed USB device number 9 using ehci_hcd
> [  312.954434] usb 1-5: firmware not found.

This driver requires the wireless controller to run different firmware,
which must be installed as /lib/firmware/carl9170-1.fw.  That file
should be included in the firmware-free package, but it isn't yet.  See
<http://linuxwireless.org/en/users/Drivers/carl9170#Firmware-1>.

Ben.

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-2.6' to 'firmware-free'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 02 Aug 2011 00:03:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 3.0.0-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 02 Aug 2011 00:03:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 3. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 02 Aug 2011 00:03:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'Missing firmware for carl9170 driver' from 'TP-Link TL-WN821N v2 doesn't work with kernel 3.0' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 02 Aug 2011 00:03:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Tue, 02 Aug 2011 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willian Gustavo Veiga <wiltave@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 02 Aug 2011 00:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 635840@bugs.debian.org (full text, mbox):

From: Willian Gustavo Veiga <wiltave@gmail.com>
To: 635840@bugs.debian.org
Subject: Re: Missing firmware for carl9170 driver
Date: Mon, 01 Aug 2011 21:34:30 -0300
Ben, I've downloaded carl9170-1.fw (1.9.4) and now it's working.
Thank you very much.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Fri, 12 Aug 2011 19:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 12 Aug 2011 19:57:10 GMT) Full text and rfc822 format available.

Message #40 received at 635840@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 635840@bugs.debian.org
Subject: Re: Bug#635840: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Fri, 12 Aug 2011 21:55:23 +0200
[Message part 1 (text/plain, inline)]
Hi

On Friday 12 August 2011, Ben Hutchings wrote:
> On Mon, 2011-08-01 at 19:36 -0300, Willian Gustavo Veiga wrote:
> > Ben, probably you're right. I've missed some information, sorry about that:
> > 
> > # dmesg
> > [  312.484057] usb 1-5: new high speed USB device number 9 using ehci_hcd
> > [  312.664228] usb 1-5: New USB device found, idVendor=0cf3, idProduct=1002
> > [  312.664233] usb 1-5: New USB device strings: Mfr=16, Product=32, SerialNumber=48
> > [  312.664237] usb 1-5: Product: USB2.0 WLAN
> > [  312.664239] usb 1-5: Manufacturer: ATHER
> > [  312.664241] usb 1-5: SerialNumber: 12345
> > [  312.780058] usb 1-5: reset high speed USB device number 9 using ehci_hcd
> > [  312.954434] usb 1-5: firmware not found.
> 
> This driver requires the wireless controller to run different firmware,
> which must be installed as /lib/firmware/carl9170-1.fw.  That file
> should be included in the firmware-free package, but it isn't yet.  See
> <http://linuxwireless.org/en/users/Drivers/carl9170#Firmware-1>.

Given that the licensing for carl9170fw is a bit special[1] for a 
firmware image targetted at a different architecture and not easy to 
fulfill in a way that avoids wget on the buildds or code duplication,
I've started some preliminary packaging for it at:

Vcs-Svn: svn://svn.berlios.de/fullstory/firmware-carl9170/trunk
Vcs-Browser: http://svn.berlios.de/svnroot/repos/fullstory/firmware-carl9170/trunk/

While this should meet upstream license conditions in wording and 
spirit and may pass ftp-master checking, its strong dependencies
on packaging structures of binutils-source, newlib-source and the 
versioned gcc-$(GCC_VER)-source make it rather fragile and high 
maintenance, not to say downright ugly (looking at the list of 
build-depends). This packaging compiles the sh-2 cross-compiling
environment at build-time, as introducing a newlib based sh-2
cross-compiling toolchain for this single package is hardly a preferred
option for Debian and binutils/ newlib/ gcc maintainers.

Please regard this as an initial attempt to solve this issue and feel
free to re-use this or parts of it at your convenience. While I'd 
volunteer to co-maintain this (or derivatives of this packaging), it
still needs an active Debian uploader due to its rather high 
maintenance requirements (adaptions to future {binutils,newlib}-source
versions or bumping the versioned build-requirements whenever old
gcc-$(GCC_VER)-source versions get removed from the archive).

Warning, system requirements for building this package are quite high:
- ~140 MB build-dependencies
- ~3.4 GB temporary build space
- a good half hour compilation time (mostly spent on the toolchain) on
  fast computers, allowing parallel building through DEBBUILDOPTS helps
  significantly.
+ build-tested on amd64 and kfreebsd-amd64, providing bit-identical 
  results
+ functionality confirmed with 0cf3:9170 Atheros Communications, Inc.
  AR9170 802.11n on kernel 3.0.1.

Regards
	Stefan Lippers-Hollmann


[1]	GPL-2: "The source code for a work means the preferred form of the 
	        work for making modifications to it.  For an executable work, 
	        complete source code means all the source code for all modules
	        it contains, plus any associated interface definition files, 
	        plus the scripts used to control compilation and installation 
	        of the executable."
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 24 Aug 2011 03:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Wed, 24 Aug 2011 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Aug 2011 05:12:03 GMT) Full text and rfc822 format available.

Message #47 received at 635840@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>, 635840@bugs.debian.org
Subject: Re: Bug#635840: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Wed, 24 Aug 2011 06:09:09 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-08-12 at 21:55 +0200, Stefan Lippers-Hollmann wrote:
> Hi
> 
> On Friday 12 August 2011, Ben Hutchings wrote:
> > On Mon, 2011-08-01 at 19:36 -0300, Willian Gustavo Veiga wrote:
> > > Ben, probably you're right. I've missed some information, sorry about that:
> > > 
> > > # dmesg
> > > [  312.484057] usb 1-5: new high speed USB device number 9 using ehci_hcd
> > > [  312.664228] usb 1-5: New USB device found, idVendor=0cf3, idProduct=1002
> > > [  312.664233] usb 1-5: New USB device strings: Mfr=16, Product=32, SerialNumber=48
> > > [  312.664237] usb 1-5: Product: USB2.0 WLAN
> > > [  312.664239] usb 1-5: Manufacturer: ATHER
> > > [  312.664241] usb 1-5: SerialNumber: 12345
> > > [  312.780058] usb 1-5: reset high speed USB device number 9 using ehci_hcd
> > > [  312.954434] usb 1-5: firmware not found.
> > 
> > This driver requires the wireless controller to run different firmware,
> > which must be installed as /lib/firmware/carl9170-1.fw.  That file
> > should be included in the firmware-free package, but it isn't yet.  See
> > <http://linuxwireless.org/en/users/Drivers/carl9170#Firmware-1>.
> 
> Given that the licensing for carl9170fw is a bit special[1] for a 
> firmware image targetted at a different architecture and not easy to 
> fulfill in a way that avoids wget on the buildds or code duplication,
> I've started some preliminary packaging for it at:
> 
> Vcs-Svn: svn://svn.berlios.de/fullstory/firmware-carl9170/trunk
> Vcs-Browser: http://svn.berlios.de/svnroot/repos/fullstory/firmware-carl9170/trunk/
>
> While this should meet upstream license conditions in wording and 
> spirit and may pass ftp-master checking, its strong dependencies
> on packaging structures of binutils-source, newlib-source and the 
> versioned gcc-$(GCC_VER)-source make it rather fragile and high 
> maintenance, not to say downright ugly (looking at the list of 
> build-depends). This packaging compiles the sh-2 cross-compiling
> environment at build-time, as introducing a newlib based sh-2
> cross-compiling toolchain for this single package is hardly a preferred
> option for Debian and binutils/ newlib/ gcc maintainers.
[...]

I suggest that you ask the FTP team whether they consider it necessary
for the package to be built in this way.

firmware-free includes source code but does not actually use it at
package build time.  It is rather taken on trust that the source code
can actually be built, though you have prompted me to actually check
this...

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Wed, 31 Aug 2011 12:39:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 31 Aug 2011 12:39:40 GMT) Full text and rfc822 format available.

Message #52 received at 635840@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 635840@bugs.debian.org
Subject: Re: Bug#635840: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Wed, 31 Aug 2011 14:30:10 +0200
Hi

On Wednesday 31 August 2011, Ben Hutchings wrote:
> On Fri, 2011-08-12 at 21:55 +0200, Stefan Lippers-Hollmann wrote:
> > On Friday 12 August 2011, Ben Hutchings wrote:
> > > On Mon, 2011-08-01 at 19:36 -0300, Willian Gustavo Veiga wrote:
[...]
> > Given that the licensing for carl9170fw is a bit special[1] for a 
> > firmware image targetted at a different architecture and not easy to 
> > fulfill in a way that avoids wget on the buildds or code duplication,
> > I've started some preliminary packaging for it at:
> > 
> > Vcs-Svn: svn://svn.berlios.de/fullstory/firmware-carl9170/trunk
> > Vcs-Browser: http://svn.berlios.de/svnroot/repos/fullstory/firmware-carl9170/trunk/
> >
> > While this should meet upstream license conditions in wording and 
> > spirit and may pass ftp-master checking, its strong dependencies
> > on packaging structures of binutils-source, newlib-source and the 
> > versioned gcc-$(GCC_VER)-source make it rather fragile and high 
> > maintenance, not to say downright ugly (looking at the list of 
> > build-depends). This packaging compiles the sh-2 cross-compiling
> > environment at build-time, as introducing a newlib based sh-2
> > cross-compiling toolchain for this single package is hardly a preferred
> > option for Debian and binutils/ newlib/ gcc maintainers.
> [...]
> 
> I suggest that you ask the FTP team whether they consider it necessary
> for the package to be built in this way.

In case of carl9170fw, license compliance isn't the only reason that 
made me building it and its toolchain from source. carl9170fw upstream
doesn't provide binary firmware images and neither release (source-) 
tarballs for carl9170fw, the only distribution is through git tags on

	git://git.kernel.org/pub/scm/linux/kernel/git/chr/carl9170fw.git
	http://git.kernel.org/pub/scm/linux/kernel/git/chr/carl9170fw.git
	https://git.kernel.org/pub/scm/linux/kernel/git/chr/carl9170fw.git

which means any packager will regularly have to build the firmware on 
his own, in order to make it available for distribution. Binaries made
available from

	http://wireless.kernel.org/en/users/Drivers/carl9170#Firmware-1

are rarely updated and often only from third parties (it's a wiki). 
While using the upstream provided toolchain target works well (and is 
much faster for subsequent builds, as the toochain won't have to get 
rebuilt all the time), I chose this route of using 
{binutils,newlib,gcc-4.6}-source in order to get carl9170fw into main,
instead of contrib.

> firmware-free includes source code but does not actually use it at
> package build time.  It is rather taken on trust that the source code
> can actually be built, though you have prompted me to actually check
> this...

In case of carl9170fw, the upstream toolchain target works reliably and
is kept up to date with upstream toolchain changes, so maybe it would 
qualify for the same treatment as shipped PDF files or similar 
documentation, if it can be rebuilt, but isn't as part of the standard
buildsystem. However the git/source-only distribution for carl9170fw 
didn't actually make me look into this.

Regards
	Stefan Lippers-Hollmann




Severity set to 'wishlist' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 17 Jun 2012 03:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Sun, 17 Jun 2012 08:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schröter <d.schroeter@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jun 2012 08:24:14 GMT) Full text and rfc822 format available.

Message #59 received at 635840@bugs.debian.org (full text, mbox):

From: Daniel Schröter <d.schroeter@gmx.de>
To: 635840@bugs.debian.org
Subject: Re: Bug#635840: TP-Link TL-WN821N v2 doesn't work with kernel 3.0
Date: Sun, 17 Jun 2012 10:16:42 +0200
Hi,

does the firmware source code link here
http://linuxwireless.org/en/users/Drivers/carl9170.fw#Firmware_source_code
to
https://github.com/chunkeey/carl9170fw
helps for building the firmware in to a debian package?

Bye





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Tue, 04 Sep 2012 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 04 Sep 2012 07:18:03 GMT) Full text and rfc822 format available.

Message #64 received at 635840@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 635840@bugs.debian.org
Subject: carl9170 firmware missing from debian
Date: Tue, 4 Sep 2012 10:07:33 +0300
Hi,

This is sad, someone actually releases their wireless card firmware
under GPL and we fail to get it included in Debian. Way to encourage
manufacturers to open source their firmwares and end users to buy
hardware with open firmware...

This is quite classic case where perfect has beome the enemy of good.

Could we just put the binary firmware file linux-wireless website[1],[2]
to firmware-linux-free for now, and do the build-from-sources firmware
for Jessie if if deemed neccesary?

[1] http://linuxwireless.org/en/users/Drivers/carl9170
[2] http://linuxwireless.org/en/users/Drivers/carl9170/fw1.9.6?action=AttachFile&do=get&target=carl9170-1.fw



Riku



Added tag(s) wheezy. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 14 Jan 2013 11:39:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 14 Jan 2013 11:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Mon, 14 Jan 2013 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 14 Jan 2013 11:45:03 GMT) Full text and rfc822 format available.

Message #73 received at 635840@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Riku Voipio <riku.voipio@iki.fi>, 635840@bugs.debian.org
Subject: Re: Bug#635840: carl9170 firmware missing from debian
Date: Mon, 14 Jan 2013 11:41:48 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2012-09-04 at 10:07 +0300, Riku Voipio wrote:
> Hi,
> 
> This is sad, someone actually releases their wireless card firmware
> under GPL and we fail to get it included in Debian. Way to encourage
> manufacturers to open source their firmwares and end users to buy
> hardware with open firmware...
> 
> This is quite classic case where perfect has beome the enemy of good.
> 
> Could we just put the binary firmware file linux-wireless website[1],[2]
> to firmware-linux-free for now, and do the build-from-sources firmware
> for Jessie if if deemed neccesary?

I don't believe it's absolutely necessary to build from sources during
the package build, and indeed none of the other free firmware images are
rebuilt.  The problem has been that I couldn't quite reproduce the
binary and the person submitting the firmware for linux-firmware.git
didn't respond to my request for information.

Anyway, I had another look and worked out the undocumented build steps
and I can now build a bit-identical firmware image, so I'm going to add
it.

Ben.

> [1] http://linuxwireless.org/en/users/Drivers/carl9170
> [2] http://linuxwireless.org/en/users/Drivers/carl9170/fw1.9.6?action=AttachFile&do=get&target=carl9170-1.fw


-- 
Ben Hutchings
If God had intended Man to program,
we'd have been born with serial I/O ports.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Mon, 14 Jan 2013 17:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 14 Jan 2013 17:36:03 GMT) Full text and rfc822 format available.

Message #78 received at 635840@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 635840@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Bug#635840: carl9170 firmware missing from debian
Date: Mon, 14 Jan 2013 18:33:21 +0100
Hi

On Monday 14 January 2013, Ben Hutchings wrote:
> On Tue, 2012-09-04 at 10:07 +0300, Riku Voipio wrote:
> > Hi,
> > 
> > This is sad, someone actually releases their wireless card firmware
> > under GPL and we fail to get it included in Debian. Way to encourage
> > manufacturers to open source their firmwares and end users to buy
> > hardware with open firmware...
> > 
> > This is quite classic case where perfect has beome the enemy of good.
> > 
> > Could we just put the binary firmware file linux-wireless website[1],[2]
> > to firmware-linux-free for now, and do the build-from-sources firmware
> > for Jessie if if deemed neccesary?
> 
> I don't believe it's absolutely necessary to build from sources during
> the package build, and indeed none of the other free firmware images are
> rebuilt.  The problem has been that I couldn't quite reproduce the
> binary and the person submitting the firmware for linux-firmware.git
> didn't respond to my request for information.

I haven't checked the current binary versions, but previously default 
settings and making sure to use similar (cross-)toolchain versions 
achieved bit-identical results.

> Anyway, I had another look and worked out the undocumented build steps
> and I can now build a bit-identical firmware image, so I'm going to add
> it.

As mentioned in [1], I'd be willing to maintain or co-maintain a 
firmware packages for carl9170, but this would need coordination (and 
an ack) from you (as linux-firmware maintainer) and the kernel-team, 
given that driver and firmware are both under development (and require
minimum versions of each). My preliminary packaging[2] (which I'm using
personally for quite a while) does build the cross-toolchain from 
Debian's source packages for gcc/ newlib/ binutils during the package
build process[3]. This procedure is certainly not nice and needs 
adapting whenever gcc changes (minor) versions, but it does build 
everything from source - adding a formal sh-2/ newlib based 
cross-toolchain would imho be overkill, especially as this wouldn't 
be useful for anything else.

Regards
	Stefan Lippers-Hollmann

[1]	http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635840#40
[2]	Vcs-Svn: svn://svn.berlios.de/fullstory/firmware-carl9170/trunk/
	Vcs-Browser: http://svn.berlios.de/wsvn/fullstory/firmware-carl9170/trunk/
	http://aptosid.com/slh/carl9170/
	using build concurrency is recommended, as this significantly 
	reduces the build time for the cross toolchain.	
[3]	http://aptosid.com/slh/carl9170/_build.log.gz



Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 14 Jan 2013 22:21:11 GMT) Full text and rfc822 format available.

Notification sent to Willian Gustavo Veiga <wiltave@gmail.com>:
Bug acknowledged by developer. (Mon, 14 Jan 2013 22:21:11 GMT) Full text and rfc822 format available.

Message #83 received at 635840-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 635840-close@bugs.debian.org
Subject: Bug#635840: fixed in firmware-free 3.2
Date: Mon, 14 Jan 2013 22:17:35 +0000
Source: firmware-free
Source-Version: 3.2

We believe that the bug you reported is fixed in the latest version of
firmware-free, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635840@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated firmware-free package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 14 Jan 2013 22:02:47 +0000
Source: firmware-free
Binary: firmware-linux-free
Architecture: source all
Version: 3.2
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
Closes: 635840
Changes: 
 firmware-free (3.2) unstable; urgency=low
 .
   * Update to linux-support 3.2.0-4
   * Add Atheros AR9170 free firmware for use with carl9170 (Closes: #635840)
Checksums-Sha1: 
 d1aa0b7824c7d4f2a86e4ea46a4886247b516c42 1790 firmware-free_3.2.dsc
 72c4162baa27040557eb2e5ccccfc581c3bcd3c3 230930 firmware-free_3.2.tar.gz
 a35ccd7e9d54239b4c60ee0e4b729a08992a8db0 20662 firmware-linux-free_3.2_all.deb
Checksums-Sha256: 
 6f65bb995f11796c79821977345532a61c0cbb87bc479dd1201a760ee45205ec 1790 firmware-free_3.2.dsc
 f34d3b22fb88702dd866e6da11b5f652d5d6777a0e2b976a2e84c3437786666d 230930 firmware-free_3.2.tar.gz
 b485a7c11f889044de6a22b595a45524e5f91a2a6b757cff06aebc004ce451b2 20662 firmware-linux-free_3.2_all.deb
Files: 
 bd5df0583a2e4fea9968422f5f6661d4 1790 kernel optional firmware-free_3.2.dsc
 ec256aa0cc3131ec9be211a104d99bb9 230930 kernel optional firmware-free_3.2.tar.gz
 c0db2b20f88293d8441ab3206270d686 20662 kernel optional firmware-linux-free_3.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUPSCHOe/yOyVhhEJAQqAcRAAwGMsQZzaW45a5d6atVJNJab0bAOm+O6x
rsn7L3GjBIZ6bvmdrmlkYRPgJQ67mn+TM2VWW3YLFluZdVKadkgdoGcKfuyIh7cZ
/ODHpatFVUVTTMXxJOMLTZv3IoL+QyDpKaGxLhXdPz8H7xMaGZqAXE4kx/3WbUwX
vb4i4v9VmF590yc6kNl9tG6VcanTGHaXn6+VEYQTJpLDyHkGLUiDs7wRDuLUeiy8
agOsjE1yrvo1WcVwwKS+1v5ONJlidK1XaYXAbRU8yThQ/MTykqHfkYNRfIJ1T9Gr
z3h/65kuKUTcm/n9bmnZ4xyWEtFxnD2HwGg6cjfCliZ7FHMUwGHGQ3gpOUfSb3wn
zjRC7lQkqDHCKUYjWbJHWr/ht9uwY8Apkbnnq5RZlUh14ziCNGRtKGekZAFSrU3X
/EGEflQly1tc7MbR4pWOjNk5SkxbJNu/ZxpBaYkyzNRxkk9UXEb6MeBHepdCZn2M
kkVTaFoA0h07dIKfNUFBmfdpIhHbuWcObQW7ZRdnx8oCuZl0YBcwQ8VzEnZK8k3w
eZi9R6I5CzEPS9K1i8CiRPSx562UcWShYyZmOnkonXy8o68DS2zFHjAi0JFSpEvS
z8YDaDhKVYyZ+SeGDjb6AMwnuWxmI4Rz9YOyFt1YaoMdDCNXr39MOCsdMtcIHSTW
1vNsdA1DSgI=
=sZwn
-----END PGP SIGNATURE-----




Severity set to 'important' from 'wishlist' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 14 Jan 2013 23:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Tue, 15 Jan 2013 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Jan 2013 00:03:04 GMT) Full text and rfc822 format available.

Message #90 received at 635840@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>
Cc: 635840@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Bug#635840: carl9170 firmware missing from debian
Date: Tue, 15 Jan 2013 00:00:59 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2013-01-14 at 18:33 +0100, Stefan Lippers-Hollmann wrote:
[...]
> As mentioned in [1], I'd be willing to maintain or co-maintain a 
> firmware packages for carl9170, but this would need coordination (and 
> an ack) from you (as linux-firmware maintainer) and the kernel-team, 
> given that driver and firmware are both under development (and require
> minimum versions of each). My preliminary packaging[2] (which I'm using
> personally for quite a while) does build the cross-toolchain from 
> Debian's source packages for gcc/ newlib/ binutils during the package
> build process[3]. This procedure is certainly not nice and needs 
> adapting whenever gcc changes (minor) versions, but it does build 
> everything from source - adding a formal sh-2/ newlib based 
> cross-toolchain would imho be overkill, especially as this wouldn't 
> be useful for anything else.

As I said before, you should ask the FTP team for their interpretation
of policy.  Does section 2.2.1 only cover package relationships, as the
second part implies, or should the first part be read literally?  Am I
cheating or just being pragmatic with firmware-free?

Anyway, the source and binary are now in linux-firmware.git and in
firmware-free (version 3.2).  I have requested that firmware-free be
unblocked so this will be fixed in wheezy.

Ben.

-- 
Ben Hutchings
If God had intended Man to program,
we'd have been born with serial I/O ports.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635840; Package firmware-free. (Tue, 15 Jan 2013 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Jan 2013 09:24:03 GMT) Full text and rfc822 format available.

Message #95 received at 635840@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Riku Voipio <riku.voipio@iki.fi>, 635840@bugs.debian.org
Subject: Re: Bug#635840: carl9170 firmware missing from debian
Date: Tue, 15 Jan 2013 11:20:37 +0200
On Mon, Jan 14, 2013 at 11:41:48AM +0000, Ben Hutchings wrote:
> On Tue, 2012-09-04 at 10:07 +0300, Riku Voipio wrote:
> I don't believe it's absolutely necessary to build from sources during
> the package build, and indeed none of the other free firmware images are
> rebuilt.  The problem has been that I couldn't quite reproduce the
> binary and the person submitting the firmware for linux-firmware.git
> didn't respond to my request for information.

Ok, I didn't know the issue was that we wanted to be able to reproduce
the binary. Had I known, I could have tried to get the firmware
reproduced myself and created building documentation, saving some of 
your time.

> and I can now build a bit-identical firmware image, so I'm going to add
> it.

I see it is now part of linux-firmware-free - awesome! Lots of Thanks,

Riku




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Feb 2013 07:26:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:28:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.